# Configuration for USB sound cards
# (tested with SoundBlaster Audigy 2 NX on powerpc)
# see http://blog.blackdown.de/2006/03/20/miscellaneous-alsa-dmix-patches/ 

<confdir:pcm/front.conf>

USB-Audio.pcm.front.0 {
	@args [ CARD ]
	@args.CARD {
		type string
	}
	type softvol
	slave.pcm {
		type hw
		card $CARD
		device 0
	}
	control {
		name "PCM Playback Volume"
                card $CARD
	}
}	

# default with dmix/dsnoop
USB-Audio.pcm.default {
	@args [ CARD ]
	@args.CARD {
		type string
	}
	type asym
	playback.pcm {
		type plug
		slave.pcm {
			type softvol
			slave.pcm {
				@func concat
				strings [ "dmix:CARD=" $CARD ",FORMAT=S24_3LE" ]
			}
			control {
                                name "PCM Playback Volume"
                                card $CARD
                        }
		}
	}
	capture.pcm {
		type plug
		slave.pcm {
			@func concat
			strings [ "dsnoop:CARD=" $CARD ",FORMAT=S24_3LE" ]
		}
	}
}
